View Issue Details

IDProjectCategoryView StatusLast Update
0004651Talerexchangepublic2016-10-11 17:28
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.1Fixed in Version0.1 
Summary0004651: Should 'struct TALER_ContractPS' include receiver?
DescriptionRight now, the TALER_ContractPS includes all information that is needed by the backend *except* for the payment receiver in the multi-account merchant scenario.

We thus have to handle the receiver separately, and this defeats the purpose of having the TALER_ContractPS in the first place: The TALER_ContractPS does not only sign over the contract, but also over some fields extracted out of the contract that are required by the backend.

IMHO we should either completely drop this optimization (for simplicity) or we should include the receiver field there. The receiver field is a bit awkward though, since it's a string, and thus we need to length-limit it or make TALER_ContractPS variable length.
TagsNo tags attached.

Activities

Christian Grothoff

2016-09-22 14:12

manager   ~0011134

We should add the public key of the merchant, as that uniquely identifies the "receiver". The backend should be modified to check that the public keys are unique per receiver.

Marcello Stanisci

2016-09-23 18:47

manager   ~0011141

Last edited: 2016-09-23 18:48

View 3 revisions

all logic added, 'make check' fails. (Just incase, the code is on 'receiver' branch at merchant's git.)

Christian Grothoff

2016-09-23 23:46

manager   ~0011142

I'm confused. I don't see _any_ change in 'struct TALER_ContractPS', so how could that mean the logic was added!?

Marcello Stanisci

2016-09-24 00:05

manager   ~0011143

Well, I've just modified the merchant to use hashmaps (as discussed) and check whether the keys are unique. I meant that for 'logic'. Nothing has been modified on TALER_ContractPS yet..

Marcello Stanisci

2016-09-26 16:57

manager   ~0011167

Fixed in: 0b8081fe, exchange
          6d0eb81a, merchant

Issue History

Date Modified Username Field Change
2016-09-12 15:41 Florian Dold New Issue
2016-09-12 15:41 Florian Dold Status new => assigned
2016-09-12 15:41 Florian Dold Assigned To => Christian Grothoff
2016-09-19 00:57 Christian Grothoff Product Version => 0.0
2016-09-19 00:57 Christian Grothoff Target Version => 0.1
2016-09-22 14:12 Christian Grothoff Note Added: 0011134
2016-09-22 14:13 Christian Grothoff Assigned To Christian Grothoff => Marcello Stanisci
2016-09-23 18:47 Marcello Stanisci Note Added: 0011141
2016-09-23 18:48 Marcello Stanisci Note Edited: 0011141 View Revisions
2016-09-23 18:48 Marcello Stanisci Note Edited: 0011141 View Revisions
2016-09-23 23:46 Christian Grothoff Note Added: 0011142
2016-09-24 00:05 Marcello Stanisci Note Added: 0011143
2016-09-26 16:57 Marcello Stanisci Note Added: 0011167
2016-09-26 16:57 Marcello Stanisci Status assigned => resolved
2016-09-26 16:57 Marcello Stanisci Resolution open => fixed
2016-09-27 22:25 Christian Grothoff Fixed in Version => 0.1
2016-10-11 17:28 Christian Grothoff Status resolved => closed